searchData={"content_type":"text/markdown","items":[{"doc":"This module provides two utilities for understanding what is using the memory in a complex data\nstructure. summary/2 provides information about what fields are using data in a struct tree,\nwhile term/2 aims to be a fast, approximate replacement for :erts_debug.flat_size.","ref":"MemorySize.html","title":"MemorySize","type":"module"},{"doc":"Returns a list of tuples of the form {size, unit, path} summarizing the memory\nusage of the passed in value (if it's a struct, one tuple per recursive field\nwill be returned. i.e. if state.guild.sessions is using 100 words, then one of\nthe returned tuples would be {100, :word, [:guild, :sessions]}.\n\nOptions available:\n- max_depth: maximum nesting level for returned tuples (0 means \"just the top level\", default is unlimited)\n- min_size: a threshold for dropping fields from the result that use less than some threshold\n    amount of memory (default is to show all)\n- precision: How many digits should we keep after the decimal point (default is 2)\n- sample_size: control how many elements of large maps/lists will be sampled (default is 100)\n- sort_by_size: if true, will sort the results by size descending (otherwise will be sorted hierarchically)\n- unit: one of :word, :byte, :kilobyte, :megabyte, :gigabyte for scaling the results (default is word).\n    Kilo means 1024 (in order to be consistent with `:recon_alloc.set_unit`)","ref":"MemorySize.html#summary/2","title":"MemorySize.summary/2","type":"function"},{"doc":"This estimates the size of an Erlang term. It intends to take a reasonable amount of time\nto complete, as opposed to :erts_debug.flat_size and :erts_debug.size. it does this by\nsampling large maps and lists. Note that it follows the convention of :erts_debug.size and\ndoes not include the 1 word for the term itself. This means that some of the calculations\nhere will seem to be off from https://www.erlang.org/doc/efficiency_guide/advanced.html\nwhich includes this 1 word in the estimates it provides.","ref":"MemorySize.html#term/2","title":"MemorySize.term/2","type":"function"}]}